Package org.eclipse.rdf4j.spring.support.query

## Class DelegatingUpdate

- java.lang.Object
- - org.eclipse.rdf4j.spring.support.query.DelegatingUpdate

- All Implemented Interfaces:
    `Operation`, `Update`
  Direct Known Subclasses:
    `ClearableAwareUpdate`, `LoggingUpdate`

      public abstract class DelegatingUpdate
      extends Object
      implements Update

  Since:
    4.0.0
  Author:
    Florian Kleedorfer

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DelegatingUpdate​(Update delegate)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clearBindings()` | Removes all previously set bindings.
    `void` | `execute()` | Execute this update on the repository.
    `BindingSet` | `getBindings()` | Retrieves the bindings that have been set on this operation.
    `Dataset` | `getDataset()` | Gets the dataset that has been set using `Operation.setDataset(Dataset)`, if any.
    `protected Update` | `getDelegate()` |
    `boolean` | `getIncludeInferred()` | Returns whether or not this operation will return inferred statements (if any are present in the repository).
    `int` | `getMaxExecutionTime()` | Returns the maximum operation execution time.
    `void` | `removeBinding​(String name)` | Removes a previously set binding on the supplied variable.
    `void` | `setBinding​(String name, Value value)` | Binds the specified variable to the supplied value.
    `void` | `setDataset​(Dataset dataset)` | Specifies the dataset against which to execute an operation, overriding any dataset that is specified in the operation itself.
    `void` | `setIncludeInferred​(boolean includeInferred)` | Determine whether evaluation results of this operation should include inferred statements (if any inferred statements are present in the repository).
    `void` | `setMaxExecutionTime​(int maxExecutionTimeSeconds)` | Specifies the maximum time that an operation is allowed to run.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DelegatingUpdate

          public DelegatingUpdate​(Update delegate)

  - ### Method Detail

    - #### getDelegate

          protected Update getDelegate()

    - #### execute

          public void execute()
                       throws UpdateExecutionException

      Description copied from interface: `Update`
      Execute this update on the repository.
      Specified by:
        `execute` in interface `Update`
      Throws:
        `UpdateExecutionException` - if the update could not be successfully completed.

    - #### setBinding

          public void setBinding​(String name,
                                 Value value)

      Description copied from interface: `Operation`
      Binds the specified variable to the supplied value. Any value that was previously bound to the specified value will be overwritten.
      Specified by:
        `setBinding` in interface `Operation`
      Parameters:
        `name` - The name of the variable that should be bound.
        `value` - The (new) value for the specified variable.

    - #### removeBinding

          public void removeBinding​(String name)

      Description copied from interface: `Operation`
      Removes a previously set binding on the supplied variable. Calling this method with an unbound variable name has no effect.
      Specified by:
        `removeBinding` in interface `Operation`
      Parameters:
        `name` - The name of the variable from which the binding is to be removed.

    - #### clearBindings

          public void clearBindings()

      Description copied from interface: `Operation`
      Removes all previously set bindings.
      Specified by:
        `clearBindings` in interface `Operation`

    - #### getBindings

          public BindingSet getBindings()

      Description copied from interface: `Operation`
      Retrieves the bindings that have been set on this operation.
      Specified by:
        `getBindings` in interface `Operation`
      Returns:
        A (possibly empty) set of operation variable bindings.
      See Also:
        `Operation.setBinding(String, Value)`

    - #### setDataset

          public void setDataset​(Dataset dataset)

      Description copied from interface: `Operation`
      Specifies the dataset against which to execute an operation, overriding any dataset that is specified in the operation itself.
      Specified by:
        `setDataset` in interface `Operation`

    - #### getDataset

          public Dataset getDataset()

      Description copied from interface: `Operation`
      Gets the dataset that has been set using `Operation.setDataset(Dataset)`, if any.
      Specified by:
        `getDataset` in interface `Operation`

    - #### setIncludeInferred

          public void setIncludeInferred​(boolean includeInferred)

      Description copied from interface: `Operation`
      Determine whether evaluation results of this operation should include inferred statements (if any inferred statements are present in the repository). The default setting is 'true'.
      Specified by:
        `setIncludeInferred` in interface `Operation`
      Parameters:
        `includeInferred` - indicates whether inferred statements should be included in the result.

    - #### getIncludeInferred

          public boolean getIncludeInferred()

      Description copied from interface: `Operation`
      Returns whether or not this operation will return inferred statements (if any are present in the repository).
      Specified by:
        `getIncludeInferred` in interface `Operation`
      Returns:
        true if inferred statements will be returned, false otherwise.

    - #### setMaxExecutionTime

          public void setMaxExecutionTime​(int maxExecutionTimeSeconds)

      Description copied from interface: `Operation`
      Specifies the maximum time that an operation is allowed to run. The operation will be interrupted when it exceeds the time limit. Any consecutive requests to fetch query results will result in `QueryInterruptedException`s or `UpdateExecutionException`s (depending on whether the operation is a query or an update).
      Specified by:
        `setMaxExecutionTime` in interface `Operation`
      Parameters:
        `maxExecutionTimeSeconds` - The maximum query time, measured in seconds. A negative or zero value indicates an unlimited execution time (which is the default).

    - #### getMaxExecutionTime

          public int getMaxExecutionTime()

      Description copied from interface: `Operation`
      Returns the maximum operation execution time.
      Specified by:
        `getMaxExecutionTime` in interface `Operation`
      Returns:
        The maximum operation execution time, measured in seconds.
      See Also:
        `Operation.setMaxExecutionTime(int)`